"""
Установка родительского контейнера
Каждый виджет, кроме окна, располагается в определенном родительском контейнере. Например:

from tkinter import *
from tkinter import ttk

root = Tk()
root.title("METANIT.COM")
root.geometry("250x200")

lbl = ttk.Label(text="Hello")
lbl.pack()

root.mainloop()
Здесь для метки lbl контейнером выступает главное окно - root. Однако графическое приложение может иметь более сложную структуру со множеством вложенных контейнеров. И для каждого виджета можно явным образом установить контейнер с помощью первого параметра конструктора, который называтся master. Например, в примере выше мы могли бы явным образом прописать для Label родительский контейнер:

1
2
3
lbl = ttk.Label(master=root, text="Hello")
# или так
lbl = ttk.Label(root, text="Hello")
В данном случае это не имеет смысла, кнопка по умолчанию добавляется в окно. Однако также мы можем определять вложенные контейнеры. В частности, для в Tkinter предназначен виджет Frame.

Frame
Frame отображает прямоугольник и обычно применяется для организации интерфейса в отдельные блоки. Некоторые основные параметры, которые мы можем установить через конструктор класса Frame:

borderwidth: толщина границы фрейма, по умолчанию равно 0

relief: определяет тип границы, может принимать значения SUNKEN, RAISED, GROOVE, RIDGE

cursor: устанавливает курсор при наведении на фрейм

height: высота фрейма

width: ширина фрейма

padding: отступы от вложенного содержимого до границ фрейма
"""