"""
Виджет Notebook представляет набор вкладок. Среди параметров виджета следует выделить следующие:

width: ширина виджета

height: высота виджета

cursor: курсор при наведении на виджет

padding: отступы от границ виджета до его содержимого

style: стиль виджета

Для управления вкладками Notebook предоставляет ряд методов, в частности, для добавления вкладки применяется метод add()

1
add(child, state, sticky, padding, text, image, compound, underline)
Параметры метода

child: добавляемый виджет, для которого собственно и создается вкладка. Обычно это Frame, который затем добавляет другие виджеты

state: состояние вкладки. Возможные значения: "normal", "disabled", "hidden"

sticky: определяет прикрепление виджета к определенной стороне вкладки

padding: отступы от границ вкладки до внутреннего содержимого

text: заголовок вкладки

image: изображение в заголовке вкладке

compound: управляет расположением изображения и текста в заголовке вкладки

underline: определяет номер подчеркнутого символа в заголовке вкладки

Кроме того, чтобы скрыть временно вкладку, применяется метод hide()

1
hide(tabId)
В качестве параметра принимает идентификатор вкладки, который по умолчанию представляет числовой индекс вкладки начиная с 0.

Чтобы совсем удалить вкладку, применяется метод forget()

1
forget(child)
В качестве параметра в метод передается удаляемый виджет.

Рассмотрим простейший пример:

from tkinter import *
from tkinter import ttk

root = Tk()
root.title("METANIT.COM")
root.geometry("250x200")

# создаем набор вкладок
notebook = ttk.Notebook()
notebook.pack(expand=True, fill=BOTH)

# создаем пару фреймвов
frame1 = ttk.Frame(notebook)
frame2 = ttk.Frame(notebook)

frame1.pack(fill=BOTH, expand=True)
frame2.pack(fill=BOTH, expand=True)

# добавляем фреймы в качестве вкладок
notebook.add(frame1, text="Python")
notebook.add(frame2, text="Java")

root.mainloop()
"""